/*
 * GkSu -- Gtk+ Frontend to su and sudo
 * Copyright (C) 2002 Gustavo Noronha Silva
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef  __GKSU_H__
#define __GKSU_H__

void help (gchar *cmdname);
void free_pass (gchar *pass);

typedef struct _GkConf GkConf;

struct _GkConf
{
  gchar *dir; /* directory where .Xauthority is located */

  gchar *title; /* title of the window */
  gchar *message; /* message to present on dialog box */
  gchar *user; /* which user to become */

  gchar *command; /* command to exec - for su */

  gchar **cmd; /* command to exec - for sudo */
  gint cmd_starts; /* where on cmd the command starts */

  gboolean login_shell; /* make this a login shell */
  gboolean keep_env; /* keep environment? */
  gboolean grab; /* grab X, keyboard and mouse? */
};

#endif
